diff --git a/isisd/isis_tlvs.c b/isisd/isis_tlvs.c
index 7f7022a52e38..5fa28aa910a8 100644
--- a/isisd/isis_tlvs.c
+++ b/isisd/isis_tlvs.c
@@ -1524,6 +1524,8 @@ static void isis_format_subsubtlvs(struct isis_subsubtlvs *subsubtlvs,
 			      struct sbuf *buf, struct json_object *json,
 			      int indent)
 {
+	format_subsubtlv_srv6_sid_structure(subsubtlvs->srv6_sid_structure, buf,
+					    json, indent);
 }
 
 static void isis_free_subsubtlvs(struct isis_subsubtlvs *subsubtlvs)
